/*
Copyright (C) 2000-2010  Ministere de la culture et de la communication (France), AJLSM
See LICENCE file
*/
package fr.gouv.culture.sdx.search;

import fr.gouv.culture.sdx.exception.SDXException;
import fr.gouv.culture.sdx.pipeline.Pipeline;


public interface TermHighlighter extends Pipeline {

    void setQuery(Query q) throws SDXException;

    void setTerms(Terms terms);

    void recycle();

}
